Bug 729843 - Please change shortcut key of 'ESC' for 'Cancel' to something else, or remove 'Cancel' button.
Please change shortcut key of 'ESC' for 'Cancel' to something else, or remove...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI, Usability (Show other bugs)
1.3
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4
  Show dependency treegraph
 
Reported: 2011-08-10 22:31 EDT by Sean Flanigan
Modified: 2012-11-27 02:20 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 880500 (view as bug list)
Environment:
Last Closed: 2011-10-28 03:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-08-10 22:31:50 EDT
Description of problem:

For Japanese, input process for a word is: 
 type in by sounds
 -> determine the ending of the word
 -> convert to Japanese (first candidate)
 -> show other candidates list (if first one is not right and mostly not right)
 -> choose right candidate from the list
 -> determine translation. 

Any stage, translator can go back if she wants. For
example, translator can return from 'show other candidates list' back to
'convert first candidate' by pressing 'ESC' key. However in zanata, if
translator accidentally press 'ESC' twice, entire input just simply is
cancelled. This hurts especially when translator lost lengthy translation.


Version-Release number of selected component (if applicable):
1.3

Additional info:

From noriko@redhat.com
Comment 1 David Mason 2011-08-10 23:04:19 EDT
Pushed to master and 1.4 branches
Comment 2 David Mason 2011-08-11 02:14:46 EDT
Also removed 'Esc' hint from tool tip of cancel button.
Comment 3 Ding-Yi Chen 2011-09-06 00:08:04 EDT
VERIFIED with Zanata version 1.4-SNAPSHOT (20110901-1705)

Note You need to log in before you can comment on or make changes to this bug.